#
# spec file for package scsi-eventd (Version 0.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           scsi-eventd
License:        GPL v2 only; GPL v2 or later
Group:          System/Daemons
#!BuildIgnore:  module-init-tools e2fsprogs udev reiserfs
AutoReqProv:    on
Version:        0.1
Release:        3.4.27
Summary:        SCSI event daemon
Source0:        %{name}-%{version}.tar.gz
Patch1:         define-netlink-scsitransport
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The SCSI event daemon listens to netlink messages from the SCSI stack.
It will invokes a script if the event matches a predefined pattern from
the configuration file.



Authors:
--------
    Hannes Reinecke <hare@suse.de>

%prep
%setup
%patch1 -p1

%build
make -C src

%install
make -C src DESTDIR=$RPM_BUILD_ROOT install
mkdir $RPM_BUILD_ROOT/etc
install -m 644 scsi-event.conf $RPM_BUILD_ROOT/etc
mkdir $RPM_BUILD_ROOT/etc/init.d
install scsi-eventd.init $RPM_BUILD_ROOT/etc/init.d/scsi-eventd

%preun
%stop_on_removal scsi-eventd

%postun
%insserv_cleanup scsi-eventd

%files
%defattr(-,root,root)
/sbin/scsi-eventd
%config /etc/scsi-event.conf
%config /etc/init.d/scsi-eventd

%changelog
* Wed May 27 2009 hare@suse.de
- Backport to SLES10 SP3 (FATE#306159)
* Fri Nov 21 2008 hare@suse.de
- Run correctly in daemon mode
- Fixup SCSI event specifier
- Match to the correct event type
- Update configuration file to print out the received event
* Mon Oct 13 2008 hare@suse.de
- Initial package (FATE#303669, FATE#303789)
